当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 升级到8.10时更新管理器损坏怎么修复?
帖子发表于 : 2009-02-07 0:00 

注册: 2008-11-01 6:50
帖子: 152
送出感谢: 0 次
接收感谢: 0 次
今天试着用更新管理器把8.04升级8.10时,后出现了更新管理器损坏,软件包管理器也不能用了,提示相同
提示为:
不能够初始化包信息

初始化包信息时遇到无法解决的问题。

请汇报这个此 'update-manager' 软件包的错误,并且将如下信息包含在报告中:

'E:安装源配置文件“/etc/apt/sources.list”第 52 行的格式有误 (URI), E:无法读取安装源列表。'

任务栏旁边有个红色的-号,点开启用软件包管理器提示为:
E: 安装源配置文件“/etc/apt/sources.list”第 52 行的格式有误 (URI)
E: 所列资源不可读。
情转到软件库对话框修正该问题。
E: _cache->open() failed, please report.

刚从XP转到UBUNTU,会的不多,各位大侠给个详细的步骤最好了


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 升级到8.10时更新管理器损坏怎么修复?
帖子发表于 : 2009-02-08 14:46 
头像

注册: 2007-11-05 15:55
帖子: 144
送出感谢: 0 次
接收感谢: 0 次
从提示来看应该是源列表写错了(第52行?)

1.
代码:
sudo gedit /etc/apt/sources.list


删除第52行,再执行

2.
代码:
sudo apt-get update



或是清空该文档,直接从http://wiki.ubuntu.org.cn/index.php?title=Template:8.10source&variant=zh-cn

上黏贴一组源上去...再执行第2步


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Bing [Bot] 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译